List cities
curl --request GET \
--url https://staging.api.prexsell.com/v2/citiesimport requests
url = "https://staging.api.prexsell.com/v2/cities"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://staging.api.prexsell.com/v2/cities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"cities": [
{
"id": "cld1a2b3c4d5e6f7g8h9i0j1",
"name": "ะะธัะฒ",
"slug": "kyiv",
"country": "UA",
"timeZone": "Europe/Kyiv"
}
],
"total": 1
}
}Cities
List cities
Returns a paginated list of cities. Optionally filtered by name search string and/or country code.
GET
/
v2
/
cities
List cities
Query Parameters
Filter cities by name or translation (minimum 2 characters).
Minimum string length:
2Example:
"ะะธัะฒ"
ISO 3166-1 alpha-2 country code to filter cities.
Available options:
UA, TR, PL, CZ, IT, DE, SK, HU, BE, NL, RO, BG, FR, AT, LT, LV, EE, ES, LU, CH, GR, MD, SI Example:
"UA"
Maximum number of items to return (1โ100).
Required range:
1 <= x <= 100Example:
50
Number of items to skip for offset pagination.
Required range:
x >= 0Example:
0
Response
200 - application/json
Paginated list of cities with name, slug, country, and timezone.
Show child attributes
Show child attributes
โI
